<!doctype html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, minimum-scale=1, initial-scale=1, user-scalable=yes">

    <title>dez-export-button test</title>

    <script src="../../webcomponentsjs/webcomponents-lite.js"></script>
    <script src="../../web-component-tester/browser.js"></script>

    <link rel="import" href="../dez-export-button.html">
  </head>
  <body>

    <test-fixture id="BasicTestFixture">
      <template>
        <dez-export-button></dez-export-button>
      </template>
    </test-fixture>

    <test-fixture id="ChangedPropertyTestFixture">
      <template>
        <dez-export-button prop1="new-prop1"></dez-export-button>
      </template>
    </test-fixture>

    <script>
      suite('dez-export-button', function() {

        test('instantiating the element with default properties works', function() {
          var element = fixture('BasicTestFixture');
          assert.equal(element.prop1, 'dez-export-button');
          var elementShadowRoot = element.shadowRoot;
          var elementHeader = elementShadowRoot.querySelector('h2');
          assert.equal(elementHeader.innerHTML, 'Hello dez-export-button!');
        });

        test('setting a property on the element works', function() {
          // Create a test fixture
          var element = fixture('ChangedPropertyTestFixture');
          assert.equal(element.prop1, 'new-prop1');
          var elementShadowRoot = element.shadowRoot;
          var elementHeader = elementShadowRoot.querySelector('h2');
          assert.equal(elementHeader.innerHTML, 'Hello new-prop1!');
        });

      });
    </script>

  </body>
</html>
